function ReadIniFile(){
	var i = 0;
	var objTextStream;
	var strText;
	var objFileSys = new ActiveXObject("Scripting.FileSystemObject");
	
	//Chech the existence of initial file
	if( objFileSys.FileExists("./WIS.ini") == false ){
		alert("No initial file.");
		return;
	}
	
	//Read Initial File
	objTextStream = objFileSys.OpenTextFile("./WIS.ini");
	
	//Data type list
	DataList = ["Time", "Area", "East", "West", "South", "North", "Org", "Cut", "Obs", "UserID", "Password", "Https_proxy", "Use_proxy"];
	var readDataType = "";

	
	while (objTextStream.AtEndOfStream==false) {
		strText = objTextStream.ReadLine();
		
		switch(readDataType){
		case "Time":		//Time Difference
			if(strText == "null")
				setUTCTimeDiff();
			else
				document.getElementById("time").value = strText;
			break;
			
		case "Area":		//Area
			document.getElementById("area").value = strText;
			ChangeMenu(strText);
			break;
		case "East":		//East
			document.getElementById("east").value = Math.ceil(strText*0.2)/0.2;
			break;
			
		case "West":		//West
			document.getElementById("west").value = Math.ceil(strText*0.2)/0.2;
			break;
			
		case "South":		//South
			var value = strText;
			if ( value >= 0 ) {
				document.getElementById("south").value = Math.ceil(value*0.2)/0.2;
			}else{
				document.getElementById("south").value = Math.floor(value*0.2)/0.2;
			}
			break;
			
		case "North":	//North
			var value = strText;
			if ( value >= 0 ) {
				document.getElementById("north").value = Math.ceil(value*0.2)/0.2;
			}else{
				document.getElementById("north").value = Math.floor(value*0.2)/0.2;
			}
			break;
			
		case "Org":	//Delete Data
			document.getElementById("elim").value = strText;
			break;
			
		case "UserID":	//WIS ID
			document.getElementById("id").value = strText;
			break;
			
		case "Password":	//WIS Password
			document.getElementById("password").value = strText;
			break;
			
		case "Https_proxy":
			var proxy = strText;
			break;
			
		case "Use_proxy":
			if( strText == "on" ){
				document.getElementById("use_proxy").checked = true;
				var proxy0 = proxy.split(":")
				document.getElementById("proxy").value = proxy0[0] + ":" + proxy0[1];
				document.getElementById("port").value = proxy0[2];
				ValidTextBox(document.getElementById("use_proxy").checked);
			}else{
				document.getElementById("use_proxy").checked = false;
				ValidTextBox(document.getElementById("use_proxy").checked);
			}
			break;
		}
		
		readDataType = "";
		for(var i = 0; i < DataList.length;i++){
			if(DataList[i] == strText){
				readDataType = strText;
			}
		}

	}
objTextStream.Close();

objTextStream = null;
objFileSys = null;
};



function ValidTextBox(chk){
	if ( chk == true ){
		document.getElementById("proxy").disabled = false;
		document.getElementById("port").disabled = false;
		document.getElementById("proxy").style.backgroundColor = "#FFFFFF";
		document.getElementById("port").style.backgroundColor = "#FFFFFF";
	}else{
		document.getElementById("proxy").disabled = true;
		document.getElementById("port").disabled = true;
		document.getElementById("proxy").style.backgroundColor = "#D3D3D3";
		document.getElementById("port").style.backgroundColor = "#D3D3D3";
	}
};


function ChangeMenu(Area){
	var i;
	var ValueNS = new Array();
	var OptionNS = new Array();
	var ValueWE = new Array();
	var OptionWE = new Array();
	
	//N-S: 65N-65S
	//W-E: 80E-175E




	if( Area == "nw" ){		//(65N-5S,80E-145E)
		document.getElementById( "north" ).getAttribute('max',65)
		document.getElementById( "north" ).getAttribute('min',-4)
	}










	//Setting Latitude
	for( i=0; i<=26; i++ ){
		ValueNS[i] = -5 * i + 65;
		if ( i <= 12 ){
			OptionNS[i] = -5 * i + 65 + "N";
		}else if( i == 13 ){
			OptionNS[i] = 0;
		}else{
			OptionNS[i] = 5 * i - 65 + "S";
		}
	}
	
	//Setting Longitude
	for( i=0; i<=28; i++ ){
		ValueWE[i] = 5 * i + 70;
		if( i < 22  ){
			OptionWE[i] = 5 * i +70 + "E";
		}else if( i == 22 ){
			OptionWE[i] = 180;
		}else{
			OptionWE[i] = 180 - 5 * (i-22)  + "W";
		}
	}

	if( Area == "nw" ){		//(65N-5S,80E-145E)
		//Changing North
		document.getElementById( "north" ).length = 14;
		for( i=0; i<=13; i++ ){
			document.getElementById( "north" ).options[i].text = OptionNS[i];
			document.getElementById( "north" ).options[i].value = ValueNS[i];
		}
		//Changing South
		document.getElementById( "south" ).length = 14;
		for( i=0; i<=13; i++ ){
			document.getElementById( "south" ).options[i].text = OptionNS[14-i];
			document.getElementById( "south" ).options[i].value = ValueNS[14-i];
		}
		//Changing West
		document.getElementById( "west" ).length = 13;
		for( i=0; i<=12; i++ ){
				document.getElementById( "west" ).options[i].text = OptionWE[i+2];
				document.getElementById( "west" ).options[i].value = ValueWE[i+2];
		}
		//Changing East
		document.getElementById( 'east' ).length = 13;
		for( i=0; i<=12; i++ ){
			document.getElementById( "east" ).options[i].text = OptionWE[15-i];
			document.getElementById( "east" ).options[i].value = ValueWE[15-i];
		}

	}else if( Area == "nc" ){		//(55N-15S,90E-155E)
		//Changing North
		document.getElementById( "north" ).length = 14;
		for( i=2; i<=15; i++ ){
			document.getElementById( "north" ).options[i-2].text = OptionNS[i];
			document.getElementById( "north" ).options[i-2].value = ValueNS[i];
		}
		//Changing South
		document.getElementById( "south" ).length = 14;
		for( i=2; i<=15; i++ ){
			document.getElementById( "south" ).options[i-2].text = OptionNS[18-i];
			document.getElementById( "south" ).options[i-2].value = ValueNS[18-i];
		}
		//Changing West
		document.getElementById( "west" ).length = 13;
		for( i=4; i<=16; i++ ){
				document.getElementById( "west" ).options[i-4].text = OptionWE[i];
				document.getElementById( "west" ).options[i-4].value = ValueWE[i];
		}
		//Changing East
		document.getElementById( 'east' ).length = 13;
		for( i=4; i<=16; i++ ){
			document.getElementById( "east" ).options[i-4].text = OptionWE[21-i];
			document.getElementById( "east" ).options[i-4].value = ValueWE[21-i];
		}
	}else if( Area == "ne" || Area == "ne_test" ){		//(65N-5S,135E-160W)
		//Changing North
		document.getElementById( "north" ).length = 14;
		for( i=0; i<=13; i++ ){
			document.getElementById( "north" ).options[i].text = OptionNS[i];
			document.getElementById( "north" ).options[i].value = ValueNS[i];
		}
		//Changing South
		document.getElementById( "south" ).length = 14;
		for( i=0; i<=13; i++ ){
			document.getElementById( "south" ).options[i].text = OptionNS[14-i];
			document.getElementById( "south" ).options[i].value = ValueNS[14-i];
		}
		//Changing West
		document.getElementById( "west" ).length = 13;
		for( i=13; i<=25; i++ ){
			document.getElementById( "west" ).options[i-13].text = OptionWE[i];
			document.getElementById( "west" ).options[i-13].value = ValueWE[i];
		}
		//Changing East
		document.getElementById( "east" ).length = 13;
		for( i=13; i<=25; i++ ){
			document.getElementById( "east" ).options[i-13].text = OptionWE[39-i];
			document.getElementById( "east" ).options[i-13].value = ValueWE[39-i];
		}
	}else if( Area == "sw"){		//(6N-65S,80E-145E)
		//Changing North
		document.getElementById( "north" ).length = 14;
		for( i=12; i<=25; i++ ){
			document.getElementById( "north" ).options[i-12].text = OptionNS[i];
			document.getElementById( "north" ).options[i-12].value = ValueNS[i];
		}
		//Changing South
		document.getElementById( "south" ).length = 14;
		for( i=12; i<=25; i++ ){
			document.getElementById( "south" ).options[i-12].text = OptionNS[38-i];
			document.getElementById( "south" ).options[i-12].value = ValueNS[38-i];
		}
		//Changing West
		document.getElementById( "west" ).length = 13;
		for( i=0; i<=12; i++ ){
				document.getElementById( "west" ).options[i].text = OptionWE[i+2];
				document.getElementById( "west" ).options[i].value = ValueWE[i+2];
		}
		//Changing East
		document.getElementById( 'east' ).length = 13;
		for( i=0; i<=12; i++ ){
			document.getElementById( "east" ).options[i].text = OptionWE[15-i];
			document.getElementById( "east" ).options[i].value = ValueWE[15-i];
		}
	}else if( Area == "sc"){		//(15N-55S,107.5E-172.5E)
		//Changing North
		document.getElementById( "north" ).length = 14;
		for( i=10; i<=23; i++ ){
			document.getElementById( "north" ).options[i-10].text = OptionNS[i];
			document.getElementById( "north" ).options[i-10].value = ValueNS[i];
		}
		//Changing South
		document.getElementById( "south" ).length = 14;
		for( i=10; i<=23; i++ ){
			document.getElementById( "south" ).options[i-10].text = OptionNS[34-i];
			document.getElementById( "south" ).options[i-10].value = ValueNS[34-i];
		}
		//Changing West
		document.getElementById( "west" ).length = 14;
		for( i=7; i<=20; i++ ){
				document.getElementById( "west" ).options[i-7].text = OptionWE[i];
				document.getElementById( "west" ).options[i-7].value = ValueWE[i];
		}
		//Changing East
		document.getElementById( 'east' ).length = 14;
		for( i=7; i<=20; i++ ){
			document.getElementById( "east" ).options[i-7].text = OptionWE[28-i];
			document.getElementById( "east" ).options[i-7].value = ValueWE[28-i];
		}
	}else if( Area == "se" || Area == "se_test" ){		//(6N-65S,135E-160W)
		//Changing North
		document.getElementById( "north" ).length = 14;
		for( i=12; i<=25; i++ ){
			document.getElementById( "north" ).options[i-12].text = OptionNS[i];
			document.getElementById( "north" ).options[i-12].value = ValueNS[i];
		}
		//Changing South
		document.getElementById( "south" ).length = 14;
		for( i=12; i<=25; i++ ){
			document.getElementById( "south" ).options[i-12].text = OptionNS[38-i];
			document.getElementById( "south" ).options[i-12].value = ValueNS[38-i];
		}
		//Changing West
		document.getElementById( "west" ).length = 13;
		for( i=13; i<=25; i++ ){
				document.getElementById( "west" ).options[i-13].text = OptionWE[i];
				document.getElementById( "west" ).options[i-13].value = ValueWE[i];
		}
		//Changing East
		document.getElementById( 'east' ).length = 13;
		for( i=13; i<=25; i++ ){
			document.getElementById( "east" ).options[i-13].text = OptionWE[39-i];
			document.getElementById( "east" ).options[i-13].value = ValueWE[39-i];
		}
	}else if( Area == "wc"){		//(40N-20S,70E-135W)
		//Changing North
		document.getElementById( "north" ).length = 12;
		for( i=0; i<12; i++ ){
			document.getElementById( "north" ).options[i].text = OptionNS[i+5];
			document.getElementById( "north" ).options[i].value = ValueNS[i+5];
		}
		//Changing South
		document.getElementById( "south" ).length = 12;
		for( i=0; i<12; i++ ){
			document.getElementById( "south" ).options[i].text = OptionNS[17-i];
			document.getElementById( "south" ).options[i].value = ValueNS[17-i];
		}
		//Changing West
		document.getElementById( "west" ).length = 13;
		for( i=0; i<13; i++ ){
				document.getElementById( "west" ).options[i].text = OptionWE[i];
				document.getElementById( "west" ).options[i].value = ValueWE[i];
		}
		//Changing East
		document.getElementById( 'east' ).length = 13;
		for( i=0; i<13; i++ ){
			document.getElementById( "east" ).options[i].text = OptionWE[13-i];
			document.getElementById( "east" ).options[i].value = ValueWE[13-i];
		}
	}else if( Area == "ec"){		//(20N-40S,145E-210W)
		//Changing North
		document.getElementById( "north" ).length = 12;
		for( i=0; i<12; i++ ){
			document.getElementById( "north" ).options[i].text = OptionNS[i+9];
			document.getElementById( "north" ).options[i].value = ValueNS[i+9];
		}
		//Changing South
		document.getElementById( "south" ).length = 12;
		for( i=0; i<12; i++ ){
			document.getElementById( "south" ).options[i].text = OptionNS[21-i];
			document.getElementById( "south" ).options[i].value = ValueNS[21-i];
		}
		//Changing West
		document.getElementById( "west" ).length = 13;
		for( i=0; i<13; i++ ){
				document.getElementById( "west" ).options[i].text = OptionWE[i+15];
				document.getElementById( "west" ).options[i].value = ValueWE[i+15];
		}
		//Changing East
		document.getElementById( 'east' ).length = 13;
		for( i=0; i<13; i++ ){
			document.getElementById( "east" ).options[i].text = OptionWE[28-i];
			document.getElementById( "east" ).options[i].value = ValueWE[28-i];
		}
	}else if( Area == "fd"){		//(65N-65S,70E-210W)
		//Changing North
		document.getElementById( "north" ).length = 26;
		for( i=0; i<26; i++ ){
			document.getElementById( "north" ).options[i].text = OptionNS[i];
			document.getElementById( "north" ).options[i].value = ValueNS[i];
		}
		//Changing South
		document.getElementById( "south" ).length = 26;
		for( i=0; i<26; i++ ){
			document.getElementById( "south" ).options[i].text = OptionNS[26-i];
			document.getElementById( "south" ).options[i].value = ValueNS[26-i];
		}
		//Changing West
		document.getElementById( "west" ).length = 28;
		for( i=0; i<28; i++ ){
				document.getElementById( "west" ).options[i].text = OptionWE[i];
				document.getElementById( "west" ).options[i].value = ValueWE[i];
		}
		//Changing East
		document.getElementById( 'east' ).length = 28;
		for( i=0; i<28; i++ ){
			document.getElementById( "east" ).options[i].text = OptionWE[28-i];
			document.getElementById( "east" ).options[i].value = ValueWE[28-i];
		}
	}
};


//get Time Difference from UTC
window.onload = function setUTCTimeDiff(){
	var UTC   = new Date(Date.UTC(2000,1,1,0,0,0,0));
	var local = new          Date(2000,1,1,0,0,0,0);
	var diff = UTC.getTime() - local.getTime();

	document.getElementById("time").value = diff / ((60 * 60) * 1000);
};